## python-qtmobility 0.2-0maemo6

=== QtMobility/Messaging/CMakeLists.txt ===
project(Messaging)

set(Messaging_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/messaging_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountsortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccount_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagecontentcontainerid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagecontentcontainer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagedatacomparator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolderfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolderid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefoldersortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagemanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagesortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessage_wrapper.cpp                                                                                                                                           )

set(Messaging_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_MESSAGING_INCLUDE_DIR}
)

set(Messaging_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_MESSAGING_LIBRARY}
)

CREATE_PYSIDE_MODULE(Messaging
                     ${QT_MOBILITY_MESSAGING_INCLUDE_DIR}
                     Messaging_SRC
                     Messaging_INCLUDE_DIRECTORIES
                     Messaging_LINK_LIBRARIES)

=== debian/changelog ===
python-qtmobility (0.2-0maemo6) unstable; urgency=low

  * Package renaming.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Mon,  6 Dec 2010 14:25:02 -0300

pyside-mobility (0.2-0maemo5) unstable; urgency=low

  * Version bump to work with latest PySide1.0~beta1 release.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Thu,  2 Dec 2010 16:21:31 -0300

pyside-mobility (0.2-0maemo4) unstable; urgency=low

  * Now building with PySide 0.4.2 and Qt4.7.
    + Disabled QtBearer module.
    + Renamed packages to python-qtmobility.<module>

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Wed, 27 Oct 2010 20:56:29 +0000

pyside-mobility (0.1-0maemo3) unstable; urgency=low

  * Add missing file in QtMobility/Bearer/CMakeLists.txt

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Fri, 13 Aug 2010 17:46:19 -0400

pyside-mobility (0.1-0maemo2) unstable; urgency=low

  * Add missing modules: Bearer, Messaging, PublishSubscribe

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Thu, 12 Aug 2010 09:21:00 -0400

pyside-mobility (0.1-0maemo1) unstable; urgency=low

  * Initial Release

 -- Willer Moreira <willer.moreira@openbossa.org>  Fri, 30 Jul 2010 16:21:54 -0400

=== debian/control ===
Source: python-qtmobility
Section: python
Priority: optional
Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 0.5.1), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.5.1), python-pyside (>= 0.4.2), libpyside-dev (>= 0.4.0)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: python-qtmobility
Replaces: pyside-mobility
Provides: pyside-mobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: python-qtmobility-dbg
Replaces: pyside-mobility-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: python-qtmobility.contacts
Replaces: pyside-mobility-contacts
Provides:pyside-mobility-contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: python-qtmobility.location
Replaces: pyside-mobility-location
Provides:pyside-mobility-location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: python-qtmobility.messaging
Replaces: pyside-mobility-messaging
Provides:pyside-mobility-messaging
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui, python-pyside.qtxml
Description: Qt Mobility Messaging module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Messaging module.

Package: python-qtmobility.publishsubscribe
Replaces: pyside-mobility-publishsubscribe
Provides:pyside-mobility-publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork, python-pyside.qtxml
Description: Qt Mobility Publish and Subscribe module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Publish and Subscribe module.

Package: python-qtmobility.sensors
Replaces: pyside-mobility-sensors
Provides:pyside-mobility-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: python-qtmobility.serviceframework
Replaces: pyside-mobility-serviceframework
Provides:pyside-mobility-serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: python-qtmobility.systeminfo
Replaces: pyside-mobility-systeminfo
Provides:pyside-mobility-systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtnetwork
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: python-qtmobility.versit
Replaces: pyside-mobility-versit
Provides:pyside-mobility-versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtgui, python-qtmobility.contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.

## python-qtmobility 0.2-0maemo7

=== QtMobility/CMakeLists.txt ===
project(mobility)

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
        DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}")

link_directories(${QT_MOBILITY_LIBRARY_DIR})

macro(CREATE_PYSIDE_MODULE MODULE_NAME MODULE_INCLUDE_DIR SRCS INC_DIRS LINK_LIBS)
    STRING(TOLOWER ${MODULE_NAME} LOWER_MODULE_NAME)
    STRING(TOLOWER ${BINDING_NAME} LOWER_BINDING_NAME)
    include_directories(${MODULE_NAME} ${${INC_DIRS}})
    add_library(${MODULE_NAME} MODULE ${${SRCS}})
    set_property(TARGET ${MODULE_NAME} PROPERTY PREFIX "")
    target_link_libraries(${MODULE_NAME} ${${LINK_LIBS}})

    add_custom_command(OUTPUT ${${SRCS}}
                        COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
                        ${CMAKE_SOURCE_DIR}/${BINDING_NAME}/global.h
                        --include-paths=${QT_INCLUDE_DIR}:${QT_MOBILITY_INCLUDE_DIR}:${QT_MOBILITY_PARENT_INCLUDE_DIR}:${MODULE_INCLUDE_DIR}
                        --typesystem-paths=${typesystem_path}:${PYSIDE_TYPESYSTEMS}
                        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
                        --license-file=${CMAKE_CURRENT_SOURCE_DIR}/../licensecomment.txt
                        ${CMAKE_CURRENT_SOURCE_DIR}/typesystem_${LOWER_MODULE_NAME}.xml
                        --api-version=${QT_MOBILITY_MAJOR_VERSION}.${QT_MOBILITY_MINOR_VERSION}
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        COMMENT "Running generator for ${MODULE_NAME}..."
                       )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}${CMAKE_DEBUG_POSTFIX}.so DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/${MODULE_NAME}/${LOWER_BINDING_NAME}_${LOWER_MODULE_NAME}_python.h
            DESTINATION include/Py${BINDING_NAME}/${MODULE_NAME}/)

    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}${CMAKE_DEBUG_POSTFIX}${CMAKE_SHARED_MODULE_SUFFIX}"
                                                               "${CMAKE_BINARY_DIR}/${BINDING_NAME}/${MODULE_NAME}${CMAKE_SHARED_MODULE_SUFFIX}")
endmacro(CREATE_PYSIDE_MODULE)


execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
                                                           "${CMAKE_BINARY_DIR}/${BINDING_NAME}/__init__.py")

macro(add_if_found component)
    STRING(TOUPPER ${component} _COMPONENT)
    IF(${QT_MOBILITY_${_COMPONENT}_FOUND})
        message("Module ${component} found.")
        add_subdirectory(${component})
    ELSE()
        message("Module ${component} not found. ${component} support disabled.")
    ENDIF()
endmacro()

IF(${QTVERSION} VERSION_LESS 4.7.0)
    add_if_found(Bearer)
ENDIF()

add_if_found(Contacts)
add_if_found(Feedback)
add_if_found(Gallery)
add_if_found(Location)
add_if_found(Messaging)
add_if_found(MultimediaKit)
add_if_found(PublishSubscribe)
add_if_found(Sensors)
add_if_found(ServiceFramework)
add_if_found(SystemInfo)
add_if_found(Versit)

=== doc/CMakeLists.txt ===
set(DOC_DISABLED FALSE)
if(NOT QT_MOBILITY_SRC_DIR)
    message(WARNING "QT_MOBILITY_SRC_DIR variable not set, apidoc generation targets disabled.")
    set(DOC_DISABLED TRUE)
endif()

find_program(graphviz_exec NAME dot PATHS "/usr/bin/")
if(${graphviz_exec} STREQUAL "graphviz_exec-NOTFOUND")
    message(WARNING "Missing graphviz tool (dot), apidoc generation targets disabled.")
    set(DOC_DISABLED TRUE)
endif()

if(NOT DOC_DISABLED)
    add_custom_target(apidoc
                      COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/rst
                      COMMAND sphinx-build -b html  ${CMAKE_CURRENT_BINARY_DIR}/rst htmldocs
                     )

    #create conf.py based on conf.py.in
    configure_file("conf.py.in" "rst/conf.py" @ONLY)

    #copy pysidem.qdocconf to mobility source dir.
    configure_file("pysidem.qdocconf" "${QT_MOBILITY_SRC_DIR}/doc/src/pysidem.qdocconf" @ONLY)
    set(DOC_DATA_DIR "${CMAKE_CURRENT_BINARY_DIR}/qt4xmldoc")
    add_custom_target(qdoc3
                      COMMAND qdoc3 pysidem.qdocconf
                      WORKING_DIRECTORY "${QT_MOBILITY_SRC_DIR}/doc/src/"
                      COMMENT "Running qdoc3 against QtMobility source code..."
                      SOURCE "pysidem.qdocconf")

    macro(create_doc module typesystem_path include_dir)
        string(REGEX REPLACE "^Qt" "" module_name ${module})
        string(TOLOWER ${module_name} module_name)
        add_custom_target("${module}-apidoc"
                            COMMAND ${GENERATOR} ${mobility_SOURCE_DIR}/global.h
                            ${mobility_SOURCE_DIR}/${module}/typesystem_${module_name}.xml
                            --generatorSet=qtdoc
                            --include-paths=${QT_INCLUDE_DIR}:${include_dir}:${QT_MOBILITY_INCLUDE_DIR}
                            --typesystem-paths=${PYSIDE_TYPESYSTEMS}:${mobility_SOURCE_DIR}:${${module}_BINARY_DIR}:${typesystem_path}
                            --library-source-dir=${QT_MOBILITY_SRC_DIR}
                            --documentation-only
                            --documentation-data-dir=${DOC_DATA_DIR}
                            --documentation-out-dir=${CMAKE_CURRENT_BINARY_DIR}/rst
                            --documentation-code-snippets-dir=${CMAKE_CURRENT_SOURCE_DIR}/codesnippets
                            WORKING_DIRECTORY ${${module}_SOURCE_DIR}
                            COMMENT "Running generator to generate documentation of ${module}..."
                         )
        add_dependencies("${module}-apidoc" qdoc3)
        add_dependencies(apidoc "${module}-apidoc")
    endmacro(create_doc module)

    IF(${QTVERSION} VERSION_LESS 4.7.0)
        create_doc(Bearer "${Bearer_SOURCE_DIR}" "${QT_MOBILITY_BEARER_INCLUDE_DIR}")
    ENDIF()
    create_doc(Contacts "${Contacts_SOURCE_DIR}" "${QT_MOBILITY_CONTACTS_INCLUDE_DIR}")
    create_doc(Location "${Location_SOURCE_DIR}" "${QT_MOBILITY_LOCATION_INCLUDE_DIR}")
    create_doc(MultimediaKit "${MultimediaKit_SOURCE_DIR}" "${QT_MOBILITY_MULTIMEDIAKIT_INCLUDE_DIR}")
    create_doc(Sensors "${Sensors_SOURCE_DIR}" "${QT_MOBILITY_SENSORS_INCLUDE_DIR}")
    create_doc(ServiceFramework "${ServiceFramework_SOURCE_DIR}" "${QT_MOBILITY_SERVICEFRAMEWORK_INCLUDE_DIR}")
    create_doc(SystemInfo "${SystemInfo_SOURCE_DIR}" "${QT_MOBILITY_SYSTEMINFO_INCLUDE_DIR}")
    create_doc(Versit "${Contacts_SOURCE_DIR}:${Contacts_BINARY_DIR}:${Versit_SOURCE_DIR}" "${QT_MOBILITY_VERSIT_INCLUDE_DIR}")
    create_doc(Messaging "${Messaging_SOURCE_DIR}" "${QT_MOBILITY_MESSAGING_INCLUDE_DIR}")
    create_doc(PublishSubscribe "${PublishSubscribe_SOURCE_DIR}" "${QT_MOBILITY_PUBLISHSUBSCRIBE_INCLUDE_DIR}")

    #install files
    add_custom_target(apidocinstall
        COMMAND mkdir -p ${CMAKE_INSTALL_PREFIX}/share/doc/${BINDING_NAME} && cp -rv ${CMAKE_BINARY_DIR}/apidoc/* ${CMAKE_INSTALL_PREFIX}/share/doc/${BINDING_NAME}
    )

endif()

=== QtMobility/SystemInfo/CMakeLists.txt ===
project(SystemInfo)

set(SystemInfo_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_systeminfo_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdeviceinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdisplayinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdisplayinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsysteminfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsysteminfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemnetworkinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemnetworkinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemscreensaver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemscreensaver_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemstorageinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemstorageinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/systeminfo_module_wrapper.cpp
)

set(SystemInfo_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_SYSTEMINFO_INCLUDE_DIR}
)

set(SystemInfo_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_SYSTEMINFO_LIBRARY}
)

CREATE_PYSIDE_MODULE(SystemInfo
                     ${QT_MOBILITY_SYSTEMINFO_INCLUDE_DIR}
                     SystemInfo_SRC
                     SystemInfo_INCLUDE_DIRECTORIES
                     SystemInfo_LINK_LIBRARIES)

=== debian/changelog ===
python-qtmobility (0.2-0maemo7) unstable; urgency=low

  * Version bump - building with PySide 1.0.0~beta2 release.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Thu, 23 Dec 2010 16:08:42 -0400
